Skip to main content
PATCH
Update a contact

Path Parameters

inbox_identifier
string
required

The identifier obtained from API inbox channel

contact_identifier
string
required

The source id of contact obtained on contact create

Body

application/json
identifier
string

External identifier of the contact

Example:

"1234567890"

identifier_hash
string

Identifier hash prepared for HMAC authentication. HMAC-SHA256 of the contact identifier, keyed by the inbox HMAC token. The value above is illustrative.

Example:

"4a7f2c1e9b6d8305fe41c27a90b3d6528ecf1a04b7d29e63c85f0a12d4b7e396"

email
string

Email of the contact

Example:

"alice@acme.inc"

name
string

Name of the contact

Example:

"Alice"

phone_number
string

Phone number of the contact

Example:

"+123456789"

avatar
file

Send the form data with the avatar image binary or use the avatar_url

custom_attributes
object

Custom attributes of the customer

Example:

Response

Success

id
integer

Id of the contact

source_id
string

The session identifier of the contact

name
string

Name of the contact

email
string | null

Email of the contact

pubsub_token
string

The token to be used to connect to tied websocket